bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

[RTL][Message]The receiver number of a group MMS is truncated at wrong side.

RESOLVED WONTFIX

Status

Firefox OS
Gaia::SMS
P2
normal
RESOLVED WONTFIX
3 years ago
a year ago

People

(Reporter: Sue, Unassigned)

Tracking

(Depends on: 1 bug, {verifyme})

unspecified
ARM
Gonk (Firefox OS)
verifyme
Dependency tree / graph

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [2.2-nexus-5-l])

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8610468 [details]
message theads view.png

[1.Description]:
[RTL][Flame v2.2&v3.0][Nexus 5 2.2&3.0][Message]The receiver number of a group MMS is truncated at left side at message threads view.
See attachment:message theads view.png

[2.Testing Steps]: 
Prerequisite: Set system language as Arabic.
1. Launch Message.
2. Send a MMS to a group containing multiple numbers.
3. Observe the message thread.

[3.Expected Result]: 
3. The number should be truncated at right side.

[4.Actual Result]: 
3. The number is truncated at left side.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150525002504
Gaia Revision          144673a413586f98b5e2c27b781c1a539611f754
Gaia Date              2015-05-25 02:01:14
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c4db2af40b1b
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150525.041143
Firmware Date          Mon May 25 04:11:54 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150525160205
Gaia Revision          5bcc08a732163087999251b523e3643db397412c
Gaia Date              2015-05-24 14:44:40
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b6623a27fa64
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150525.192755
Firmware Date          Mon May 25 19:28:07 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus 5 2.2 (affected)
Build ID               20150525002504
Gaia Revision          144673a413586f98b5e2c27b781c1a539611f754
Gaia Date              2015-05-25 02:01:14
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c4db2af40b1b
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150525.041303
Firmware Date          Mon May 25 04:13:19 EDT 2015
Bootloader             HHZ12f

Device: Nexus 5 3.0 (affected)
Build ID               20150525160205
Gaia Revision          5bcc08a732163087999251b523e3643db397412c
Gaia Date              2015-05-24 14:44:40
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b6623a27fa64
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150525.192207
Firmware Date          Mon May 25 19:22:24 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Triage: P2
Not nominating to block as this doesn't prevent functionality and is kind of an edge case.
Priority: -- → P2
We fixed this in bug 1138350 for the case of single-recipient messages, but it's really difficult to fix for the multiple-recipient case.

So I'd rather wait to see if bug 883884 will fix this.
Depends on: 883884
Hum actually this is exactly bug 1094131, and in bug 1094131 we ended up duping to bug 883884. Still I'd rather keep the bug open.
Ok adding verifyme keyword so this can get checked once patch in bug 883884 lands on 2.2
Keywords: verifyme
This issue can be reproduced on latest build of AriesKK_V2.5.
Rate:5/5
Build ID               20150814002719
Gaia Revision          39b121515ab8a8c3ea07f26d3ba1dd792e90217c
Gaia Date              2015-08-13 18:25:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4e883591bb5dff021c108d3e30198a99547eed1e
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150813.235024
Firmware Date          Thu Aug 13 23:50:32 UTC 2015
Bootloader             s1
Created attachment 8649716 [details]
AriesKK_V2.5.png
So Julien, what do you reckon we should do for this one? Should we try to do something like:

> (4) +33455..., +33456780

?
Flags: needinfo?(felash)
Honestly I'm not sure what makes sense here.

But anyway we should wait for bug 883884.
Flags: needinfo?(felash)
Mass closing of Gaia::SMS bugs. End of an era :(
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → WONTFIX
Mass closing of Gaia::SMS bugs. End of an era :(
You need to log in before you can comment on or make changes to this bug.